Skip to navigation

Update knowledge base document

Update the name and/or content of a document.

Path parameters

documentation_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringOptional>=1 character

A custom, human-readable name for the document.

contentstringOptional

Updated content for the document. Only supported for text documents, URL documents with auto-sync disabled, and file documents that are not synced from an external source.

Response

Successful Response
urlobject
OR
fileobject
OR
textobject
OR
folderobject

Errors

422
Documents Update Request Unprocessable Entity Error